Debian Bug report logs - #482527
xorg: login by startx broken. System unusable.

version graph

Package: xinit; Maintainer for xinit is Debian X Strike Force <debian-x@lists.debian.org>; Source for xinit is src:xinit.

Reported by: "Adam Bartley" <adam.bartley@gmail.com>

Date: Fri, 23 May 2008 09:54:02 UTC

Severity: grave

Tags: confirmed, upstream

Merged with 482425, 483486

Found in versions xinit/1.0.8-1, xinit/1.0.9-1

Fixed in version xinit/1.0.9-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482527; Package xorg. Full text and rfc822 format available.

Acknowledgement sent to "Adam Bartley" <adam.bartley@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam Bartley" <adam.bartley@gmail.com>
To: submit@bugs.debian.org
Subject: xorg: login by startx broken. System unusable.
Date: Fri, 23 May 2008 10:52:40 +0100
[Message part 1 (text/plain, inline)]
Package: xorg
Version: 1:7.3+10
Severity: critical
Justification: renders system unusable

Upon entering startx the system displays the following error:

Fatal server error:
Unrecognized option: /etc/X11/xinit/xserverrc

The file xserverrc is the unmodified one that is installed by the package.
There has been a recent update to compiz (installed yesterday) and I would
not be shocked to hear that that is the culprit, but do not know how to
check that. I am happy to try to run any suggested work-arounds.

With best wishes,

Adam Bartley


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
[Message part 2 (text/html, inline)]

Bug reassigned from package `xorg' to `xinit'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 23 May 2008 10:09:02 GMT) Full text and rfc822 format available.

Forcibly Merged 482425 482527. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 23 May 2008 10:09:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482527; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to "Adam Bartley" <adam.bartley@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #14 received at 482527@bugs.debian.org (full text, mbox):

From: "Adam Bartley" <adam.bartley@gmail.com>
To: 482527@bugs.debian.org
Subject: GDM
Date: Fri, 23 May 2008 11:39:11 +0100
[Message part 1 (text/plain, inline)]
Installing gdm works, so the problem is definitely related to launching from
the console with startx. As I do a significant part of may work under
console only, it would help very much to fix this.

With best wishes,

Adam Bartley
[Message part 2 (text/html, inline)]

Bug marked as found in version xinit/1.0.9-1. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Fri, 23 May 2008 15:33:07 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 1.0.8-1. Request was from Julien Cristau <jcristau@liafa.jussieu.fr> to control@bugs.debian.org. (Fri, 23 May 2008 15:54:02 GMT) Full text and rfc822 format available.

Information stored:
Bug#482527; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to "David A. Harding" <dave@dtrt.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 482527-quiet@bugs.debian.org (full text, mbox):

From: "David A. Harding" <dave@dtrt.org>
To: Adam Bartley <adam.bartley@gmail.com>
Cc: 482527-quiet@bugs.debian.org
Subject: Re: xorg: login by startx broken. System unusable.
Date: Sat, 24 May 2008 02:52:55 -0400
On Fri, May 23, 2008 at 10:52:40AM +0100, Adam Bartley wrote:
> Fatal server error:
> Unrecognized option: /etc/X11/xinit/xserverrc
> 
> I am happy to try to run any suggested work-arounds.

Hi Adam,

After rebooting today, I had the same problem.  It appears that a recent
change messed up the shell script /usr/bin/startx.  To work around the
problem, I changed the following lines:

	if [ -f $userserverrc ]; then
	    defaultserverargs=$userserverrc
	elif [ -f $sysserverrc ]; then
	    defaultserverargs=" "
	fi

To:

	if [ -f $userserverrc ]; then
	    defaultserverargs=$userserverrc
	elif [ -f $sysserverrc ]; then
	    #defaultserverargs=$sysserverrc
	    defaultserverargs=" "
	fi

If you need any help, please don't hesitate to send me an email.

-Dave

P.S. The developers found this bug's cause in another bug report:

	http://bugs.debian.org/482425
-- 
David A. Harding            Website:  http://dtrt.org/
1 (609) 997-0765              Email:  dave@dtrt.org
                        Jabber/XMPP:  dharding@jabber.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482527; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to "Adam Bartley" <adam.bartley@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 482527@bugs.debian.org (full text, mbox):

From: "Adam Bartley" <adam.bartley@gmail.com>
To: "David A. Harding" <dave@dtrt.org>, 482527@bugs.debian.org
Subject: Re: xorg: login by startx broken. System unusable.
Date: Sat, 24 May 2008 08:12:18 +0100
[Message part 1 (text/plain, inline)]
Dear David,

Many thanks for that! I'll give it a go later this morning.

With best wishes,

Adam

On Sat, May 24, 2008 at 7:52 AM, David A. Harding <dave@dtrt.org> wrote:

> On Fri, May 23, 2008 at 10:52:40AM +0100, Adam Bartley wrote:
> > Fatal server error:
> > Unrecognized option: /etc/X11/xinit/xserverrc
> >
> > I am happy to try to run any suggested work-arounds.
>
> Hi Adam,
>
> After rebooting today, I had the same problem.  It appears that a recent
> change messed up the shell script /usr/bin/startx.  To work around the
> problem, I changed the following lines:
>
>        if [ -f $userserverrc ]; then
>            defaultserverargs=$userserverrc
>        elif [ -f $sysserverrc ]; then
>            defaultserverargs=" "
>        fi
>
> To:
>
>        if [ -f $userserverrc ]; then
>            defaultserverargs=$userserverrc
>        elif [ -f $sysserverrc ]; then
>            #defaultserverargs=$sysserverrc
>            defaultserverargs=" "
>        fi
>
> If you need any help, please don't hesitate to send me an email.
>
> -Dave
>
> P.S. The developers found this bug's cause in another bug report:
>
>        http://bugs.debian.org/482425
> --
> David A. Harding            Website:  http://dtrt.org/
> 1 (609) 997-0765              Email:  dave@dtrt.org
>                        Jabber/XMPP:  dharding@jabber.org
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#482527; Package xinit. Full text and rfc822 format available.

Acknowledgement sent to "Adam Bartley" <adam.bartley@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 482527@bugs.debian.org (full text, mbox):

From: "Adam Bartley" <adam.bartley@gmail.com>
To: 482527@bugs.debian.org, jcristau@debian.org, dave@dtrt.org
Subject: Re: Bug#482527 closed by Julien Cristau <jcristau@debian.org> (Bug#482425: fixed in xinit 1.0.9-2)
Date: Wed, 28 May 2008 16:15:48 +0100
[Message part 1 (text/plain, inline)]
Agreed. The error was readily repaired by an amendment to the startx script.
My thanks to David Harding (dave@dtrt.org) for his help.

With best wishes,

Adam Bartley

On Wed, May 28, 2008 at 2:27 PM, Debian Bug Tracking System <
owner@bugs.debian.org> wrote:

>
> This is an automatic notification regarding your Bug report
> which was filed against the xinit package:
>
> #482425: xorg: login by startx broken. System unusable.
>
> It has been closed by Julien Cristau <jcristau@debian.org>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Julien Cristau <
> jcristau@debian.org> by
> replying to this email.
>
>
> --
> 482425: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=482425
> Debian Bug Tracking System
> Contact owner@bugs.debian.org with problems
>
>
> ---------- Forwarded message ----------
> From: Julien Cristau <jcristau@debian.org>
> To: 482425-close@bugs.debian.org
> Date: Wed, 28 May 2008 13:02:05 +0000
> Subject: Bug#482425: fixed in xinit 1.0.9-2
> Source: xinit
> Source-Version: 1.0.9-2
>
> We believe that the bug you reported is fixed in the latest version of
> xinit, which is due to be installed in the Debian FTP archive:
>
> xinit_1.0.9-2.diff.gz
>  to pool/main/x/xinit/xinit_1.0.9-2.diff.gz
> xinit_1.0.9-2.dsc
>  to pool/main/x/xinit/xinit_1.0.9-2.dsc
> xinit_1.0.9-2_i386.deb
>  to pool/main/x/xinit/xinit_1.0.9-2_i386.deb
> xinit_1.0.9.orig.tar.gz
>  to pool/main/x/xinit/xinit_1.0.9.orig.tar.gz
>
>
>
> A summary of the changes between this version and the previous one is
> attached.
>
> Thank you for reporting the bug, which will now be closed.  If you
> have further comments please address them to 482425@bugs.debian.org,
> and the maintainer will reopen the bug report if appropriate.
>
> Debian distribution maintenance software
> pp.
> Julien Cristau <jcristau@debian.org> (supplier of updated xinit package)
>
> (This message was generated automatically at their request; if you
> believe that there is a problem with it please contact the archive
> administrators by mailing ftpmaster@debian.org)
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Format: 1.8
> Date: Wed, 28 May 2008 14:27:01 +0200
> Source: xinit
> Binary: xinit
> Architecture: source i386
> Version: 1.0.9-2
> Distribution: unstable
> Urgency: low
> Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
> Changed-By: Julien Cristau <jcristau@debian.org>
> Description:
>  xinit      - X server initialisation tool
> Closes: 482425
> Changes:
>  xinit (1.0.9-2) unstable; urgency=low
>  .
>   * Fix startx.  Patch from Jeremy Huddleston (closes: #482425).
> Checksums-Sha1:
>  ccb59ccf491da714115074cbd7f958d2465effb7 1218 xinit_1.0.9-2.dsc
>  0f0c5d5cd1fb1d45379b1a24e4fe2509b70d8473 167245 xinit_1.0.9.orig.tar.gz
>  a21a79fe923f3201a7b00895bf753da2a6b3af09 25457 xinit_1.0.9-2.diff.gz
>  40fe5ddec8c6b4369b29da914782205e7dcfd47e 31312 xinit_1.0.9-2_i386.deb
> Checksums-Sha256:
>  b9f29718ce267cf43cc965de6c6d5d9ec6c016c6ea4e80750f91b7ee1660c28b 1218
> xinit_1.0.9-2.dsc
>  eb06e2de8620b9874f3fa3c1be449e6a478f2aff0d32acd9f234a75f6ececb9a 167245
> xinit_1.0.9.orig.tar.gz
>  6ad07c566a37427758d0ccc42f5c707908076aad8f0b9621c864ba5caa49d286 25457
> xinit_1.0.9-2.diff.gz
>  18ba29ce1ce7e65b0078ba3b9240fa50503d6b9e8bade7b4bf012046ab15f6e0 31312
> xinit_1.0.9-2_i386.deb
> Files:
>  977d8956a8a0da0269f1b96dd36cb1c4 1218 x11 optional xinit_1.0.9-2.dsc
>  1c5a62fa6db7c5e317a513ef29ba145f 167245 x11 optional
> xinit_1.0.9.orig.tar.gz
>  757fbb665a68c1fd62bbe20b0489b93c 25457 x11 optional xinit_1.0.9-2.diff.gz
>  50b0f4b37a7da16252dfca1df7f524c3 31312 x11 optional xinit_1.0.9-2_i386.deb
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.6 (GNU/Linux)
>
> iD8DBQFIPVZtmEvTgKxfcAwRAi/nAJ0SvOt7Nwl1awg2bw/2b7AEir6DkwCghE00
> KNeeCojH7lpBkIClgFwrukA=
> =FG1b
> -----END PGP SIGNATURE-----
>
>
>
>
> ---------- Forwarded message ----------
> From: "Adam Bartley" <adam.bartley@gmail.com>
> To: submit@bugs.debian.org
> Date: Fri, 23 May 2008 10:52:40 +0100
> Subject: xorg: login by startx broken. System unusable.
> Package: xorg
> Version: 1:7.3+10
> Severity: critical
> Justification: renders system unusable
>
> Upon entering startx the system displays the following error:
>
> Fatal server error:
> Unrecognized option: /etc/X11/xinit/xserverrc
>
> The file xserverrc is the unmodified one that is installed by the package.
> There has been a recent update to compiz (installed yesterday) and I would
> not be shocked to hear that that is the culprit, but do not know how to
> check that. I am happy to try to run any suggested work-arounds.
>
> With best wishes,
>
> Adam Bartley
>
>
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (500, 'testing')
> Architecture: powerpc (ppc)
>
> Kernel: Linux 2.6.24-1-powerpc
> Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
>
>
>
>
[Message part 2 (text/html, inline)]

Forcibly Merged 482425 482527 483486. Request was from Brice Goglin <Brice.Goglin@ens-lyon.org> to control@bugs.debian.org. (Thu, 29 May 2008 07:48:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jul 2008 07:34:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:40:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.